Bug 235929 - Review Request: postgresql-odbcng - PostgreSQL ODBCng driver
Summary: Review Request: postgresql-odbcng - PostgreSQL ODBCng driver
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 20:53 UTC by Devrim GUNDUZ
Modified: 2008-06-06 21:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 21:05:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Devrim GUNDUZ 2007-04-10 20:53:08 UTC
Spec URL: http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng.spec
SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng-0.90.101-1.src.rpm
Description: 
ODBCng is a written from scratch ODBC driver for PostgreSQL 8.x.
ODBCng is a wire-level ODBC driver meaning that we do not require 
libpq or any PostgreSQL libraries be installed to function.

Comment 1 Gwyn Ciesla 2007-12-06 03:06:59 UTC
rpmlint: empty debuginfo pkg, but more importantly, GPL isn't a valid license
tag anymore.

Comment 2 Gwyn Ciesla 2007-12-06 03:35:46 UTC
On install attempt:
[root@fawkes SPECS]# rpm -ivh
../RPMS/i386/postgresql-odbcng-0.90.101-1.fc8.i386.rpm 
Preparing...                ########################################### [100%]
   1:postgresql-odbcng      ########################################### [100%]
/sbin/ldconfig: /usr/lib/libmodbc.so.0 is not a symbolic link


Comment 3 Gwyn Ciesla 2007-12-20 14:05:54 UTC
md5sums do not match.
[limb@fawkes SPECS]$ md5sum odbcng-0.90.101.tar.gz
3d731ed853b798ee1c51bf547a16995a  odbcng-0.90.101.tar.gz
[limb@fawkes SPECS]$ md5sum ../SOURCES/odbcng-0.90.101.tar.gz
17f167a13e360c3f0a02c695fe22574f  ../SOURCES/odbcng-0.90.101.tar.gz


Comment 4 Devrim GUNDUZ 2007-12-20 17:12:32 UTC
Thanks, will submit new spec and srpm today.

Comment 5 Gwyn Ciesla 2008-05-16 15:06:10 UTC
Any updates?

Comment 7 Gwyn Ciesla 2008-05-19 12:30:57 UTC
rpmlint on SRPM clean.

On RPMS, 
postgresql-odbcng-debuginfo.i386: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being able
to strip the binaries, the package actually being a noarch one but erratically
packaged as arch dependent, or something else.  Verify what the case is, and
if there's no way to produce useful debuginfo out of it, disable creation of
the debuginfo package.

md5 still differs:
[limb@fawkes SPECS]$ md5sum odbcng-0.90.101.tar.gz
cb90deb161b55161e473c5fc0dd420dc  odbcng-0.90.101.tar.gz
[limb@fawkes SPECS]$ md5sum ../SOURCES/odbcng-0.90.101.tar.gz
17f167a13e360c3f0a02c695fe22574f  ../SOURCES/odbcng-0.90.101.tar.gz


Comment 8 Devrim GUNDUZ 2008-05-19 22:12:05 UTC
Hrm.

I re-uploaded packages (yeah I know why that md5sum thing is happening)

I also disabled strip inside spec file, but it did not help for debuginfo issue.

Any comments?

Regards, Devrim

Comment 9 Gwyn Ciesla 2008-05-20 12:59:29 UTC
Spec in SRPM and URL differ, using URL spec. . .

Figured out the md5 issues, the Source0 URL isn't quite right.  Might want to
explain that in the comments.

Not sure about the debuginfo issue.  Not a major issue, I don't think.  Might
want to disable debuginfo creation.

License is listed as GPLv2, which is what is included, but the only mention of a
license in the src is LGPL.

Other than licensing and debuginfo, it passed the rest of the review.

Comment 10 Devrim GUNDUZ 2008-05-20 13:45:57 UTC
Hi,

(In reply to comment #9)
> Spec in SRPM and URL differ, using URL spec. . .

I have zero idea why this happened. Anyway:
 
> Figured out the md5 issues, the Source0 URL isn't quite right.  Might want to
> explain that in the comments.

I cannot add ?format=raw to Source0 -- current thing is the closest that I can
do -- and ok, added a comment.

> Not sure about the debuginfo issue.  Not a major issue, I don't think.  Might
> want to disable debuginfo creation.

'k, done. 

> License is listed as GPLv2, which is what is included, but the only mention of a
> license in the src is LGPL.

My bad, fixed.
 
> Other than licensing and debuginfo, it passed the rest of the review.

Thanks. I re-uploaded spec and srpm. 

SRPM:

http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng-0.90.101-1.fc9.src.rpm

SPEC:
http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng.spec

Regards, Devrim

Comment 11 Gwyn Ciesla 2008-05-20 14:28:43 UTC
postgresql-odbcng.src: W: invalid-license LGPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
"Artistic 2.0", "Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with
advertising", "CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix",
"Crystal Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "FTL",
"Giftware", "Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with
exceptions", "GPLv3", "GPLv3 with exceptions", "GPLv3+", "GPLv3+ with
exceptions", "IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI",
"Interbase", "ISC", "Jabber", "JasPer", "LGPLv2", "LGPLv2 with exceptions",
"LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL", "LPPL", "mecab-ipadic",
"MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+", "NCSA", "NGPL", "NOSL",
"Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+",
"OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL",
"W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Baekmuk", "Bitstream Vera", "mplus", "OFL", "STIX", "Utopia",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".


Needs a version.  Since the source doesn't specify, I'd probably go with LGPLv2.

Comment 12 Devrim GUNDUZ 2008-05-20 14:34:19 UTC
Sorry for that, I am really busy ATM, that's why I could not check it with rpmlint.

Spec and SRPM updated:

SRPM:

http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng-0.90.101-1.fc9.src.rpm

SPEC:
http://developer.postgresql.org/~devrim/rpms/other/postgresql-odbcng/postgresql-odbcng.spec

Regards, Devrim

Comment 13 Gwyn Ciesla 2008-05-20 15:06:26 UTC
No worries, looks great.  APPROVED.

Comment 14 Toshio Ernie Kuratomi 2008-05-20 15:34:44 UTC
Note on licensing from: http://fedoraproject.org/wiki/Licensing

'''
A GPL or LGPL licensed package that lacks any statement of what version that
it's licensed under in the source code/program output/accompanying docs is
technically licensed under *any* version of the GPL or LGPL, not just the
version in whatever COPYING file they include.
'''

This combines with the fact that there's no version 1 of the LGPL to make the
license tag LGPLv2+.

Comment 15 Gwyn Ciesla 2008-05-20 15:43:35 UTC
Thanks, I wasn't sure how to interpret that.  That makes sense.

Comment 16 Devrim GUNDUZ 2008-05-21 04:16:23 UTC
New Package CVS Request
=======================
Package Name: postgresql-odbcng
Short Description: PostgreSQL ODBCng driver
Owners: devrim
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes


Comment 17 Kevin Fenzi 2008-05-21 18:27:33 UTC
cvs done.

Comment 18 Mamoru TASAKA 2008-05-21 18:43:06 UTC
Why do you need to set %debug_package as nil?

Comment 19 Devrim GUNDUZ 2008-05-21 18:49:02 UTC
See review , please.

Regards, Devrim

Comment 20 Mamoru TASAKA 2008-05-21 18:53:04 UTC
Well, actually make process strips .libs/libmodbc.so, needs fixing.

sed -i.strip -e 's|strip|true strip|' makefile.in

at the end of %prep should fix this.
Also, libmodbc.so.0 should be symlink and is libmodbc.so really be
needed?

Comment 21 Mamoru TASAKA 2008-05-21 18:55:22 UTC
debuginfo issue is actually a BLOCKER for review and review request
_must_ not be accepted until it is solved except for mono packages
and so on.

Comment 22 Gwyn Ciesla 2008-05-21 19:06:35 UTC
I wasn't aware of this debuginfo fix.  Thanks for pointing that out!

Comment 23 Mamoru TASAKA 2008-05-29 18:04:25 UTC
ping?


Note You need to log in before you can comment on or make changes to this bug.